options ={
{
    default = 1,
    label = "Natural Reclaim",
    help = "Reclaim Adjusted for Player Count",
    key = 'naturalReclaimModifier',
    pref = 'naturalReclaimModifier',
    values = {
        { text = "14 (7v7)", help = "14 players", key = 1.00, },
        { text = "12 (6v6)", help = "12 players", key = 0.85714, },
        { text = "10 (5v5)", help = "10 players", key = 0.71428, },
        { text = "8 (4v4)", help = "8 players", key = 0.57142, },
        { text = "6 (3v3)", help = "6 players", key = 0.42857, },
        { text = "4 (2v2)", help = "4 players", key = 0.28571, },
        { text = "2 (1v1)", help = "2 players", key = 0.14285, },
    },
},

{
    default = 1,
    label = "Player Base Mexes",
    help = "Adjust number of player spawn Mexes",
    key = 'sidemex',
    pref = 'sidemex',
    values = {
        { text = "8", help = "8 Spawn Mexes", key = 1, },
        { text = "4", help = "4 Spawn Mexes", key = 2, },
    },
},

{
    default = 2,
    label = "Extra Spawn Mex",
    help = "Spawn 1 Mex in Spawn Points",
    key = 'xtrahydromex_loc2',
    pref = 'xtrahydromex_loc2',
    values = {
        { text = "Enable", help = "Spawn Mexes", key = 1, },
        { text = "Disable", help = "No Mexes", key = 2, },
    },
},

{
    default = 2,
    label = "Eco Single Spawn Mex",
    help = "Spawn 1 Mex in Spawn Points",
    key = 'xtrahydromex_loc3',
    pref = 'xtrahydromex_loc3',
    values = {
        { text = "Enable", help = "Spawn Mexes", key = 1, },
        { text = "Disable", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Crystal Island Mexes",
    help = "Adjust number of Mexes on Crystal Expansion Islands",
    key = 'islandmex',
    pref = 'islandmex',
    values = {
        { text = "3 Mexes", help = "Spawn 3 Mexes", key = 1, },
        { text = "1 Mex", help = "Spawn 1 Mex", key = 2, },
        { text = "Disabled", help = "No Mexes", key = 3, },
    },
},

{
    default = 1,
    label = "Center 2 Mexes",
    help = "Enable/Disable 2 Center Mexes",
    key = 'middlemex',
    pref = 'middlemex',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Center 4 Outer Mexes",
    help = "Adjust number of 4 Center Outer Mexes",
    key = 'middlemex_loc2',
    pref = 'middlemex_loc2',
    values = {
        { text = "4 Mexes", help = "Spawn 4 Mexes", key = 1, },
        { text = "2 Mexes", help = "Spawn 2 Mexes", key = 2, },
        { text = "Disabled", help = "No Mexes", key = 3, },
    },
},

{
    default = 1,
    label = "Center 2 Top/Bottom Mexes",
    help = "Enable/Disable Center 2 Top/Bottom Mexes",
    key = 'middlemex_loc3',
    pref = 'middlemex_loc3',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid 4 Top/Bottom Mexes",
    help = "Enable/Disable Mid 4 Top/Bottom Mexes",
    key = 'middlemex_loc4',
    pref = 'middlemex_loc4',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid 4 Left/Right Mexes",
    help = "Enable/Disable Mid 4 Left/Right Mexes",
    key = 'middlemex_loc5',
    pref = 'middlemex_loc5',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid 4 Top/Bottom Shoreline Mexes",
    help = "Enable/Disable Mid 4 Top/Bottom Shoreline Mexes",
    key = 'middlemex_loc6',
    pref = 'middlemex_loc6',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Water Mex Top/Bottom",
    help = "Enable/Disable 4 Top/Bottom Water Mexes",
    key = 'underwatermex_loc1',
    pref = 'underwatermex_loc1',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Water Mex Corners",
    help = "Enable/Disable 4 Corner Water Mexes",
    key = 'underwatermex_loc2',
    pref = 'underwatermex_loc2',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Water Mex Left/Right",
    help = "Enable/Disable 4 Left/Right Water Mexes",
    key = 'underwatermex_loc3',
    pref = 'underwatermex_loc3',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Water Mex Ports",
    help = "Enable/Disable 4 Port Water Mexes",
    key = 'underwatermex_loc4',
    pref = 'underwatermex_loc4',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Plateau 2 Center Mexes",
    help = "Enable/Disable 2 Center Plateau Mexes",
    key = 'plateaumex_loc1',
    pref = 'plateaumex_loc1',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Plateau 4 Corner Mexes",
    help = "Enable/Disable 4 Corner Plateau Mexes",
    key = 'plateaumex_loc2',
    pref = 'plateaumex_loc2',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid Top/Bottom Plateau Front Mexes",
    help = "Adjust number of Mexes on the 4 Mid top/Bottom Plateaus",
    key = 'plateaumex_loc3',
    pref = 'plateaumex_loc3',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid Top/Bottom Plateau Rear Mexes",
    help = "Adjust number of Mexes on the 4 Mid top/Bottom Plateaus",
    key = 'plateaumex_loc6',
    pref = 'plateaumex_loc6',
    values = {
        { text = "Enabled", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid Left/Right Plateau Front Mexes",
    help = "Enable/Disable Front Mexes on the 2 Mid Left/Right Plateaus",
    key = 'plateaumex_loc4',
    pref = 'plateaumex_loc4',
    values = {
        { text = "Enable", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Mid Left/Right Plateau Rear Mexes",
    help = "Enable/Disable Rear Mexes on the 2 Mid Left/Right Plateaus",
    key = 'plateaumex_loc5',
    pref = 'plateaumex_loc5',
    values = {
        { text = "Enable", help = "Spawn Mexes", key = 1, },
        { text = "Disabled", help = "No Mexes", key = 2, },
    },
},

{
    default = 1,
    label = "Dynamic Mex Spawn",
    help = "Dynamically spawns Mexes/Hydros for present players only",
    key = 'automex',
    pref = 'automex',
    values = {
        { text = "Enabled", help = "Adjust for player count", key = 1, },
        { text = "Disabled", help = "Spawn all Mexes and Hydros", key = 2, },
    },
},


--[[



{
    default = 1,
    label = "Mirror Spawn Resources",
    help = "Only spawn ressources when mirror spots are taken",
    key = 'mirrormex',
    pref = 'mirrormex',
    values = {
        { text = "Enabled", help = "Spawn mex for players that dont have a mirror. The empty mirror spot will also spawn its mex.", key = 1, },
        { text = "Disabled", help = "Only spawn mex/hydro when opposing spot is also taken. This option is not recommended, however it can make uneven matches fairer.", key = 2, },
    },
},


{ 
    default = 1,
    label = "expand map area",
    help = "Determines how long the playable area is restricted to the area without islands. This option is takes only affect when no island spots are taken (spots 13,14).",
    key = 'expandmap',
    pref = 'expandmap',
    values = {
        { text = "no expansion", help = "Map stays restricted to the middle region.", key = 1, },
        { text = "start expanded", help = "Map starts fully expanded.", key = 2, },
        { text = "5 min", help = "Expansion after 5 minutes.", key = 3, },
        { text = "10 min", help = "Expansion after 10 minutes.", key = 4, },
        { text = "15 min", help = "Expansion after 5 minutes.", key = 5, },
        { text = "20 min", help = "Expansion after 10 minutes.", key = 6, },
        { text = "80 percent of mexes", help = "Expansion when 80 percent of the mexes are build.", key = 7, },
        { text = "90 percent of mexes", help = "Expansion when 90 percent of the mexes are build.", key = 8, },
    },
},


{
    default = 1,
    label = "regrowing trees",
    help = "Regrow reclaimed trees slowly when there are still other trees around. If there are more trees close, they regrow faster.",
    key = 'tree',
    pref = 'tree',
    values = {
        { text = "disabled", help = "Dont regrow trees.", key = 1, },
        { text = "enabled - faster", help = "Regrow trees faster.", key = 2, },
        { text = "enabled", help = "Regrow trees.", key = 3, },
        { text = "enabled - slower", help = "Regrow trees slower.", key = 4, },
    },
},

{
    default = 1,
    label = "forward crazyrush mex",
    help = "makes a few mexes behave like crazyrush mexes.",
    key = 'dupicatesinglemex',
    pref = 'dupicatesinglemex',
    values = {
        { text = "disabled", help = "All mexes behave normally.", key = 1, },
        { text = "enabled", help = "Some expansion mex split into multiple mexes.", key = 2, },
    },
},

{
    default = 4,
    label = "reclaim - middle",
    help = "add wrecks to the middle of the map",
    key = 'optional_reclaim_middle',
    pref = 'optional_reclaim_middle',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim to the middle.", key = 1, },
        { text = "some reclaim", help = "Add a some t2 units to the middle of the map.", key = 2, },
        { text = "enabled", help = "Add a some t2 units and salem class destroyers to the middle of the map.", key = 3, },
        { text = "more reclaim", help = "Add a some t2 units, salem class destroyers and some t3 units to the middle of the map.", key = 4, },
        { text = "vanilla reclaim", help = "Add a some t2 units, t3 units, salem class destroyers and two experimentals to the middle of the map (like it is on the vanilla version of the map).", key = 5, },
        { text = "a lot of reclaim", help = "Add a some t2 units, t3 units, salem class destroyers and six experimentals to the middle of the map (like it is on the vanilla version of the map).", key = 6, },
    },
},

{
    default = 1,
    label = "reclaim - back",
    help = "add t2 pgen wrecks to the air rear air position of the map. The faction of these pgens is either UEF or Cybran depending on the player.",
    key = 'optional_reclaim_back',
    pref = 'optional_reclaim_back',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim to the back position.", key = 1, },
        { text = "one t2 pgen", help = "Add one t2 pgen wreck with the same faction as the air player to the back position.", key = 2, },
        { text = "two t2 pgens", help = "Add two t2 pgen wreck with the same faction as the air player to the back position.", key = 3, },
    },
},

{
    default = 1,
    label = "Civilian Base",
    help = "Spawn a civilian base in the middle.",
    key = 'optional_civilian_base',
    pref = 'optional_civilian_base',
    values = {        
        { text = "disabled", help = "Spawn no civilians on the side islands.", key = 1, },
        { text = "enabled - t1 defences", help = "Spawn a small civilian base with some t1 point defences on the side islands.", key = 2, },
        { text = "enabled - t2 defences", help = "Spawn a small civilian base with some t2 point defences on the side islands.", key = 3, },        
        { text = "enabled - arty/t3 defences", help = "Spawn a small civilian base with some t3 sams and some t2 artys on the side islands.", key = 4, },
    },
},

{
    default = 1,
    label = "additional reclaim",
    help = "add groups of wrecks to the map",
    key = 'optional_reclaim',
    pref = 'optional_reclaim',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim in the middle of the map", key = 1, },
        { text = "some reclaim", help = "Add some frigates to the beaches of the map.", key = 2, },
        { text = "more reclaim", help = "Add some destroyers to the map.", key = 3, },
        { text = "destro+frigates", help = "Add some frigates and destroyers to the map.", key = 4, },
    },
},

{
    default = 1,
    label = "reduce rock reclaim",
    help = "Reduces the amount of mass in rocks on the map on game launch.",
    key = 'removeRock',
    pref = 'removeRock',
    values = {
        { text = "disabled", help = "Rocks have the full mass value.", key = 1, },
        { text = "20 percent", help = "Removes 20 percent of the mass in rocks.", key = 2, },
        { text = "40 percent", help = "Removes 40 percent of the mass in rocks.", key = 3, },
        { text = "60 percent", help = "Removes 60 percent the mass in rocks.", key = 4, },
        { text = "80 percent", help = "Removes 80 percent the mass in rocks.", key = 5, },
    },
},

]]--

};
